package jp.co.nanoconnect.boundball;

import android.content.Context;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

public class BoundBallView extends SurfaceView implements SurfaceHolder.Callback {

	/** `Xbh */
	private Thread mDrawThread;
	/** Xbh̃C[vtO */
	private boolean mRun;

	
	/* RXgN^ */
	public BoundBallView(Context context, AttributeSet attrs) {
		super(context, attrs);
		SurfaceHolder holder = getHolder();
		holder.addCallback(this);
	}

	/* T[tF[XɕύXƂɌĂ΂郁\bh */
	@Override
	public void surfaceChanged(SurfaceHolder holder, int format, int width,
			int height) {
		mRun = true;
		mDrawThread = new Thread(new Runnable() {
			@Override
			public void run() {
				/* C[v */
				while (mRun) {

				}
			}
		});
		mDrawThread.start();
	}

	/* T[tF[XꂽƂɌĂ΂郁\bh */
	@Override
	public void surfaceCreated(SurfaceHolder holder) {
		/* NOP */
	}

	/* T[tF[XjƂɂ΂郁\bh */
	@Override
	public void surfaceDestroyed(SurfaceHolder holder) {
		/* Xbh̒~ */
		boolean retry = true;
		mRun = false;
        while (retry) {
            try {
                mDrawThread.join();
                retry = false;
            } catch (InterruptedException e) {
            	/* NOP */
            }
        }
	}
}
